isEmpty(INSTALL_ROOT) {
    INSTALL_ROOT = /usr/local/cumbia-libs
}
isEmpty(prefix) {
    prefix = $${INSTALL_ROOT}
}
isEmpty(CUMBIA_ROOT) {
    CUMBIA_ROOT=$${prefix}
}

exists($${CUMBIA_ROOT}/include/cumbia-tango) {
    INCLUDEPATH += $${CUMBIA_ROOT}/include/cumbia-tango
    LIBS += -lcumbia-tango
} else {
    error("cumbia-tango installation not found under $${CUMBIA_ROOT}")
}

exists($${CUMBIA_ROOT}/include/quapps/quapps.pri) {
    include ($${CUMBIA_ROOT}/include/quapps/quapps.pri)
} else {
    error("cumbia-qtcontrols installation not found under $${CUMBIA_ROOT}")
}

isEmpty(INSTALL_ROOT) {
    INSTALL_ROOT = /usr/local/cumbia-libs
}

isEmpty(buildtype) {
        buildtype = release
} else {
    equals(buildtype, debug) {
        message("debug build")
    }
}

MAKEFILE=Makefile.qmake

TEMPLATE = lib
CONFIG += plugin $${buildtype}
QT      += core gui

QUMBIA_PLUGINS_INCLUDES=$${INSTALL_ROOT}/include/qumbia-plugins
QUMBIA_PLUGINS_SHARE=$${INSTALL_ROOT}/share/qumbia-plugins
QUMBIA_PLUGINS_LIBDIR=$${INSTALL_ROOT}/lib/qumbia-plugins
QUMBIA_PLUGINS_DOCDIR=$${INSTALL_ROOT}/share/doc/qumbia-plugins

INC_DIR = $${QUMBIA_PLUGINS_INCLUDES}
SHAREDIR = $${QUMBIA_PLUGINS_SHARE}
PLUGIN_LIB_DIR = $${QUMBIA_PLUGINS_LIBDIR}

DESTDIR = plugins
DEFINES += CUMBIAQTCONTROLS_HAS_QWT=1

!isEmpty(docs) {
    DOC_DIR = $${QUMBIA_PLUGINS_DOCDIR}
    doc.commands = \
    doxygen \
    Doxyfile;
    doc.files = doc/*
    doc.path = $${DOC_DIR}
    QMAKE_EXTRA_TARGETS += doc
    INSTALLS += doc
}
else {
    message("call qmake docs=1 to generate and install docs")
}

DEFINES_QUMBIA_PLUGINS_LIBDIR = $${prefix}/lib/qumbia-plugins

# added by cumbia-qtcontrols.pri, not included by this file
#
DEFINES += \
    CUMBIA_QTCONTROLS_PLUGIN_DIR=\"\\\"$${DEFINES_QUMBIA_PLUGINS_LIBDIR}\\\"\"
DEFINES += QT_DEPRECATED_WARNINGS

TARGET = cumbia-copy-source-context-menu-actions
TEMPLATE = lib
CONFIG += plugin

TARGET = cumbia-copy-source-context-menu-actions

SOURCES += \
        src/cumbia-copy-source-ctx-menu-action.cpp

HEADERS += \
        src/cumbia-copy-source-ctx-menu-action.h
DISTFILES += cumbia-copy-source-context-menu-actions.json  \
    README.md

unix {
    target.path = $${QUMBIA_PLUGINS_LIBDIR}
    INSTALLS += target
}
